UZ80AS(1)

NAME
uz80as - Micro Z80 Assembler

SYNOPSIS
uz80as [OPTION]... ASM_FILE [OBJ_FILE [LST_FILE]]

DESCRIPTION
Assemble ASM_FILE into OBJ_FILE and generate the listing LST_FILE. If not specified, OBJ_FILE is ASM_FILE with the extension changed to .obj. If not specified, LST_FILE is ASM_FILE with the extension changed to .lst.

OPTIONS

-h, --help
    Display this help and exit.

-v, --version
    Output version information and exit.

-l, --license
    Display the license text and exit.

-d, --define=MACRO
    Define a macro.

-f, --fill=n
    Fill memory with value n.

-q, --quiet
    Do not generate the listing file.

-x, --extended
    Enable extended instruction syntax.

-u, --undocumented
    Enable undocumented instructions.

-t, --target=NAME
    Select the target micro. z80 is the default.

-e, --list-targets
    List the targets supported.

EXAMPLES

uz80as p.asm
    Assemble p.asm into p.obj

uz80as p.asm p.bin
    Assemble p.asm into p.bin

uz80as -d"MUL(a,b) (a*b)" p.asm
    Define the macro MUL and assemble p.asm

REPORTING BUGS
Report bugs to: <jorge.giner@hotmail.com>.
Home page: <https://jorgicor.niobe.org/uz80as>.

SEE ALSO
The full documentation for uz80as is maintained as a Texinfo manual. If the info and uz80as programs are properly installed at your site, the command

    info uz80as

should give you access to the complete manual.